##
## Step 1 - add content and build with Hugo
##

FROM r.c5h.io/hugo as hugo

ADD . /tmp/site
RUN hugo -b https://kb.chameth.com/ -v -s /tmp/site -d /tmp/hugo && \
	cp /tmp/hugo/index.xml /tmp/hugo/feed.xml

##
## Step 3 - host!
##

FROM nginx:mainline-alpine AS nginx
RUN rm -rf /usr/share/nginx/html/*
COPY --from=hugo /tmp/hugo /usr/share/nginx/html
ADD nginx.conf /etc/nginx/nginx.conf
